Skip to main content
GET
https://sendazi.com/api/v1
/
sms-campaigns
/
{uuid}
/
recipients
Get Campaign Recipients
curl --request GET \
  --url https://sendazi.com/api/v1/sms-campaigns/{uuid}/recipients


{
  "success": true,
  "data": [
    {
      "id": 1,
      "phone_number": "233241234567",
      "status": "delivered",
      "sent_at": "2026-01-01T01:37:25.000000Z",
      "delivered_at": "2026-01-01T01:37:30.000000Z"
    },
    {
      "id": 2,
      "phone_number": "233501234567",
      "status": "pending",
      "sent_at": null,
      "delivered_at": null
    }
  ]
}
{
  "success": false,
  "message": "Campaign not found."
}
uuid
string
required
The unique identifier (UUID) of the campaign
{
  "success": true,
  "data": [
    {
      "id": 1,
      "phone_number": "233241234567",
      "status": "delivered",
      "sent_at": "2026-01-01T01:37:25.000000Z",
      "delivered_at": "2026-01-01T01:37:30.000000Z"
    },
    {
      "id": 2,
      "phone_number": "233501234567",
      "status": "pending",
      "sent_at": null,
      "delivered_at": null
    }
  ]
}
{
  "success": false,
  "message": "Campaign not found."
}